blackbox

## Enum MathFunction

- java.lang.Object
- - java.lang.Enum<MathFunction>
  - - blackbox.MathFunction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MathFunction>

    public enum MathFunction
    extends java.lang.Enum<MathFunction>
    implements java.io.Serializable

The different functions allowed for the agent "Function" to use. The enum name is the name which must be write in the XML config file.

Author:
  nigon

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AND` The and.
`BETWEEN` The between.
`COS_PLUS` The cos plus.
`DIVIDE` The divide.
`EUCLIDE` The euclide.
`INT_BETWEEN` The int between.
`IS_PART_OF_UNIT_CIRCLE` The is part of unit circle.
`MINUS` The minus.
`MOUNTAIN_CAR` The mountain car.
`MULT` The mult.
`OR` The or.
`PLUS` The plus.
`XOR` The xor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`double` `compute(double a, double b)` Compute.
`java.lang.String` `getSymbol()` Gets the symbol.
`static MathFunction` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MathFunction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PLUS

    public static final MathFunction PLUS

The plus.

#### MULT

    public static final MathFunction MULT

The mult.

#### MINUS

    public static final MathFunction MINUS

The minus.

#### DIVIDE

    public static final MathFunction DIVIDE

The divide.

#### BETWEEN

    public static final MathFunction BETWEEN

The between.

#### INT_BETWEEN

    public static final MathFunction INT_BETWEEN

The int between.

#### OR

    public static final MathFunction OR

The or.

#### AND

    public static final MathFunction AND

The and.

#### XOR

    public static final MathFunction XOR

The xor.

#### IS_PART_OF_UNIT_CIRCLE

    public static final MathFunction IS_PART_OF_UNIT_CIRCLE

The is part of unit circle.

#### EUCLIDE

    public static final MathFunction EUCLIDE

The euclide.

#### MOUNTAIN_CAR

    public static final MathFunction MOUNTAIN_CAR

The mountain car.

#### COS_PLUS

    public static final MathFunction COS_PLUS

The cos plus.

### Method Detail

#### values

    public static MathFunction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MathFunction c : MathFunction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MathFunction valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### compute

    public double compute(double a,
                          double b)

Compute.

Parameters:
  `a` - the a
  `b` - the b
Returns:
  the double

#### getSymbol

    public java.lang.String getSymbol()

Gets the symbol.

Returns:
  the symbol